diff --git a/common/drive_minrmt.c b/common/drive_minrmt.c
index dc6d502..e926eeb 100644
--- a/common/drive_minrmt.c
+++ b/common/drive_minrmt.c
@@ -3121,7 +3121,7 @@ determine_write_error(int nwritten, int saved_errno)
 	     nwritten,
 	     saved_errno);
 
-	return (ret);
+	return ret;
 }
 
 static void
diff --git a/common/drive_scsitape.c b/common/drive_scsitape.c
index 3c0b139..4ab1b55 100644
--- a/common/drive_scsitape.c
+++ b/common/drive_scsitape.c
@@ -3853,7 +3853,7 @@ determine_write_error(drive_t *drivep, int nwritten, int saved_errno)
 	     nwritten,
 	     saved_errno);
 
-	return (ret);
+	return ret;
 }
 
 static void
diff --git a/dump/content.c b/dump/content.c
index 64f6029..29652c2 100644
--- a/dump/content.c
+++ b/dump/content.c
@@ -6975,7 +6975,7 @@ getxfsqstat(char *fsname)
 	memset(&qstat, 0, sizeof(fs_quota_stat_t));
 	if (quotactl(QCMD(Q_XGETQSTAT, 0), fsname, 0,
 		     (caddr_t)&qstat) < 0) {
-		return (-1);
+		return -1;
 	}
-	return ((int)qstat.qs_flags);
+	return (int)qstat.qs_flags;
 }
diff --git a/include/swab.h b/include/swab.h
index 0a5289f..55090fc 100644
--- a/include/swab.h
+++ b/include/swab.h
@@ -111,11 +111,11 @@
 
 static __inline__ __u16 __fswab16(__u16 x)
 {
-	return (__extension__ __arch__swab16(x));
+	return __extension__ __arch__swab16(x);
 }
 static __inline__ __u16 __swab16p(__u16 *x)
 {
-	return (__extension__ __arch__swab16p(x));
+	return __extension__ __arch__swab16p(x);
 }
 static __inline__ void __swab16s(__u16 *addr)
 {
@@ -124,11 +124,11 @@ static __inline__ void __swab16s(__u16 *addr)
 
 static __inline__ __u32 __fswab32(__u32 x)
 {
-	return (__extension__ __arch__swab32(x));
+	return __extension__ __arch__swab32(x);
 }
 static __inline__ __u32 __swab32p(__u32 *x)
 {
-	return (__extension__ __arch__swab32p(x));
+	return __extension__ __arch__swab32p(x);
 }
 static __inline__ void __swab32s(__u32 *addr)
 {
@@ -142,12 +142,12 @@ static __inline__ __u64 __fswab64(__u64 x)
 	__u32 l = x & ((1ULL << 32) - 1);
 	return (((__u64)__swab32(l)) << 32) | ((__u64)(__swab32(h)));
 #  else
-	return (__extension__ __arch__swab64(x));
+	return __extension__ __arch__swab64(x);
 #  endif
 }
 static __inline__ __u64 __swab64p(__u64 *x)
 {
-	return (__extension__ __arch__swab64p(x));
+	return __extension__ __arch__swab64p(x);
 }
 static __inline__ void __swab64s(__u64 *addr)
 {
diff --git a/inventory/inv_mgr.c b/inventory/inv_mgr.c
index 2ac1323..c7d0bb1 100644
--- a/inventory/inv_mgr.c
+++ b/inventory/inv_mgr.c
@@ -372,7 +372,7 @@ invmgr_inv_print(
 	if (prctx->invidx) {
 		idx_DEBUG_printinvindices(iarr, (uint)nindices);
 		free(iarr);
-		return (0);
+		return 0;
 	}
 
 
diff --git a/inventory/inv_priv.h b/inventory/inv_priv.h
index 1cd90f9..3b6b545 100644
--- a/inventory/inv_priv.h
+++ b/inventory/inv_priv.h
@@ -200,7 +200,7 @@ typedef struct invt_counter {
 typedef struct invt_sescounter {
 	INVT_COUNTER_FIELDS
 	off64_t ic_eof;          /* current end of the file, where the next
-	                         *  media file or stream will be written to */
+	                          *  media file or stream will be written to */
 	char	ic_padding[0x20 - (INVT_COUNTER_FIELDS_SIZE +
 				   sizeof(off64_t))];
 } invt_sescounter_t;
diff --git a/invutil/invutil.c b/invutil/invutil.c
index 24a7b6a..88c6b2d 100644
--- a/invutil/invutil.c
+++ b/invutil/invutil.c
@@ -411,7 +411,7 @@ GetNameOfStobj(char *inv_path, char *filename)
 	strcat(name, "/");
 	strcat(name, str);
 
-	return (name);
+	return name;
 }
 
 char *
@@ -428,7 +428,7 @@ GetNameOfInvIndex(char *inv_path, uuid_t uuid)
 	strcat(name, str);
 	strcat(name, INV_INVINDEX_PREFIX);
 
-	return (name);
+	return name;
 }
 
 char *
@@ -441,7 +441,7 @@ GetFstabFullPath(char *inv_path)
 	strcpy(fstabname, inv_path);
 	strcat(fstabname, "/");
 	strcat(fstabname, "fstab");
-	return (fstabname);
+	return fstabname;
 }
 
 void
@@ -684,10 +684,10 @@ CheckAndPruneInvIndexFile(bool_t	checkonly,
 			printf("unlink idx file %s\n", idxFileName);
 		}
 		unlink(idxFileName);
-		return (-1);
+		return -1;
 	}
 
-	return (0);
+	return 0;
 }
 
 int
@@ -891,10 +891,10 @@ CheckAndPruneStObjFile(bool_t	checkonly,
 		if (debug)
 			printf("Removing: %s\n", StObjFileName);
 		unlink(StObjFileName);
-		return (-1);
+		return -1;
 	}
 
-	return (0);
+	return 0;
 }
 
 /*
diff --git a/librmt/isrmt.c b/librmt/isrmt.c
index 79f685e..32d03ad 100644
--- a/librmt/isrmt.c
+++ b/librmt/isrmt.c
@@ -30,5 +30,5 @@
 int isrmt(fd)
 int fd;
 {
-	return (fd >= REM_BIAS);
+	return fd >= REM_BIAS;
 }
diff --git a/librmt/rmtaccess.c b/librmt/rmtaccess.c
index ef1c2ac..801a533 100644
--- a/librmt/rmtaccess.c
+++ b/librmt/rmtaccess.c
@@ -34,8 +34,8 @@ char *path;
 int amode;
 {
 	if (_rmt_dev(path)) {
-		return (0);             /* Let /etc/rmt find out */
+		return 0;             /* Let /etc/rmt find out */
 	} else {
-		return (access(path, amode));
+		return access(path, amode);
 	}
 }
diff --git a/librmt/rmtclose.c b/librmt/rmtclose.c
index 1744220..602cf01 100644
--- a/librmt/rmtclose.c
+++ b/librmt/rmtclose.c
@@ -36,9 +36,9 @@ int fildes;
 		/* no longer know what host we have for this fildes */
 		RMTHOST(fildes - REM_BIAS) = UNAME_UNKNOWN;
 
-		return (_rmt_close(fildes - REM_BIAS));
+		return _rmt_close(fildes - REM_BIAS);
 	} else {
-		return (close(fildes));
+		return close(fildes);
 	}
 }
 
@@ -54,8 +54,8 @@ _rmt_close(int fildes)
 		rc = _rmt_status(fildes);
 
 		_rmt_abort(fildes);
-		return (rc);
+		return rc;
 	}
 
-	return (-1);
+	return -1;
 }
diff --git a/librmt/rmtcommand.c b/librmt/rmtcommand.c
index 6b96af9..d722e86 100644
--- a/librmt/rmtcommand.c
+++ b/librmt/rmtcommand.c
@@ -47,7 +47,7 @@ char *buf;
 
 	blen = strlen(buf);
 	if (write(WRITE(fildes), buf, blen) == blen) {
-		return (0);
+		return 0;
 	}
 
 /*
@@ -57,5 +57,5 @@ char *buf;
 	_rmt_abort(fildes);
 
 	setoserror(EIO);
-	return (-1);
+	return -1;
 }
diff --git a/librmt/rmtcreat.c b/librmt/rmtcreat.c
index 7026a36..d2ecf2f 100644
--- a/librmt/rmtcreat.c
+++ b/librmt/rmtcreat.c
@@ -37,8 +37,8 @@ char *path;
 int mode;
 {
 	if (_rmt_dev(path)) {
-		return (rmtopen(path, 1 | O_CREAT, mode));
+		return rmtopen(path, 1 | O_CREAT, mode);
 	} else {
-		return (creat(path, mode));
+		return creat(path, mode);
 	}
 }
diff --git a/librmt/rmtdev.c b/librmt/rmtdev.c
index 6271e20..5eeef6a 100644
--- a/librmt/rmtdev.c
+++ b/librmt/rmtdev.c
@@ -34,8 +34,8 @@ register char *path;
 {
 	if ((path = strchr(path, ':')) != (char *)0) {
 		if (strncmp(path + 1, "/dev/", 5) == 0) {
-			return (1);
+			return 1;
 		}
 	}
-	return (0);
+	return 0;
 }
diff --git a/librmt/rmtfstat.c b/librmt/rmtfstat.c
index 67c1f7a..dae3d9a 100644
--- a/librmt/rmtfstat.c
+++ b/librmt/rmtfstat.c
@@ -40,7 +40,7 @@ int fildes;
 struct stat *buf;
 {
 	if (isrmt(fildes)) {
-		return (_rmt_fstat(fildes - REM_BIAS, (char *)buf));
+		return _rmt_fstat(fildes - REM_BIAS, (char *)buf);
 	} else {
 		int i;
 		i = fstat(fildes, buf);
@@ -66,7 +66,7 @@ _rmt_fstat(int fildes, char *arg)
 
 	if (_rmt_command(fildes, buffer) == -1 ||
 	    (rc = _rmt_status(fildes)) == -1)
-		return (-1);
+		return -1;
 
 	/* adjust read count to prevent overflow */
 
@@ -79,7 +79,7 @@ _rmt_fstat(int fildes, char *arg)
 abortit:
 			_rmt_abort(fildes);
 			setoserror(EIO);
-			return (-1);
+			return -1;
 		}
 	}
 
@@ -88,5 +88,5 @@ abortit:
 		if (read(READ(fildes), buffer, 1) <= 0)
 			goto abortit;
 
-	return (0);
+	return 0;
 }
diff --git a/librmt/rmtioctl.c b/librmt/rmtioctl.c
index a948593..abddbce 100644
--- a/librmt/rmtioctl.c
+++ b/librmt/rmtioctl.c
@@ -141,9 +141,9 @@ int
 rmtioctl(int fildes, unsigned int request, void *arg)
 {
 	if (isrmt(fildes)) {
-		return (_rmt_ioctl(fildes - REM_BIAS, request, arg));
+		return _rmt_ioctl(fildes - REM_BIAS, request, arg);
 	} else {
-		return (ioctl(fildes, request, arg));
+		return ioctl(fildes, request, arg);
 	}
 }
 
@@ -189,7 +189,7 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 			_rmt_msg(RMTWARN,
 				 _("rmtioctl: remote host type not supported for MTIOCTOP\n"));
 			setoserror(EPROTONOSUPPORT);
-			return (-1);
+			return -1;
 		}
 
 		/* map the linux op code to the irix op code */
@@ -197,22 +197,22 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 			mt_op = mtop_irixmap[mt_op];
 			if (mt_op == -1) {
 				setoserror(EINVAL);
-				return (-1);
+				return -1;
 			}
 		} else if (RMTHOST(fildes) != UNAME_LINUX) {
 			/* map the linux op code to the standard/fallback op code */
 			mt_op = mtop_stdmap[mt_op];
 			if (mt_op == -1) {
 				setoserror(EINVAL);
-				return (-1);
+				return -1;
 			}
 		}
 
 		sprintf(buffer, "I%d\n%d\n", mt_op, mt_count);
 		if (_rmt_command(fildes, buffer) == -1) {
-			return (-1);
+			return -1;
 		}
-		return (_rmt_status(fildes));
+		return _rmt_status(fildes);
 	} else if (op == MTIOCGET) {
 		/*
 		 *  Grab the status and read it directly into the structure.
@@ -228,7 +228,7 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 		 */
 		if (_rmt_command(fildes, "S") == -1 ||
 		    (rc = _rmt_status(fildes)) == -1)
-			return (-1);
+			return -1;
 
 
 		/*
@@ -242,7 +242,7 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 			_rmt_msg(RMTWARN,
 				 _("rmtioctl: remote host type not supported for MTIOCGET\n"));
 			setoserror(EPROTONOSUPPORT);
-			return (-1);
+			return -1;
 		case UNAME_IRIX:
 			if (sizeof(struct irix_mtget) != rc) {
 				_rmt_msg(RMTWARN,
@@ -250,7 +250,7 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 					   " - got %d, wanted %d\n"),
 					 rc, sizeof(struct irix_mtget));
 				setoserror(EPROTONOSUPPORT);
-				return (-1);
+				return -1;
 			}
 			break;
 		case UNAME_LINUX:
@@ -265,12 +265,12 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 					 rc, sizeof(struct linux32_mtget),
 					 sizeof(struct linux64_mtget));
 				setoserror(EPROTONOSUPPORT);
-				return (-1);
+				return -1;
 			}
 			break;
 		default:
 			setoserror(EPROTONOSUPPORT);
-			return (-1);
+			return -1;
 		}
 
 
@@ -293,7 +293,7 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 			if (cnt <= 0) {
 				_rmt_abort(fildes);
 				setoserror(EIO);
-				return (-1);
+				return -1;
 			}
 		}
 
@@ -400,9 +400,9 @@ _rmt_ioctl(int fildes, unsigned int op, void *arg)
 			dstp->mt_dsreg = srcp->mt_dsreg;
 			dstp->mt_gstat = srcp->mt_gstat;
 		}
-		return (0);
+		return 0;
 	} else {
 		setoserror(EINVAL);
-		return (-1);
+		return -1;
 	}
 }
diff --git a/librmt/rmtisatty.c b/librmt/rmtisatty.c
index 25758ca..9262694 100644
--- a/librmt/rmtisatty.c
+++ b/librmt/rmtisatty.c
@@ -32,8 +32,8 @@ int rmtisatty(fd)
 int fd;
 {
 	if (isrmt(fd)) {
-		return (0);
+		return 0;
 	} else {
-		return (isatty(fd));
+		return isatty(fd);
 	}
 }
diff --git a/librmt/rmtlseek.c b/librmt/rmtlseek.c
index 546b8c8..44b2d5e 100644
--- a/librmt/rmtlseek.c
+++ b/librmt/rmtlseek.c
@@ -38,9 +38,9 @@ off_t offset;
 int whence;
 {
 	if (isrmt(fildes)) {
-		return (_rmt_lseek(fildes - REM_BIAS, offset, whence));
+		return _rmt_lseek(fildes - REM_BIAS, offset, whence);
 	} else {
-		return (lseek(fildes, offset, whence));
+		return lseek(fildes, offset, whence);
 	}
 }
 
@@ -55,7 +55,7 @@ _rmt_lseek(int fildes, off_t offset, int whence)
 
 	sprintf(buffer, "L%ld\n%d\n", (long)offset, whence);
 	if (_rmt_command(fildes, buffer) == -1)
-		return (-1);
+		return -1;
 
-	return (_rmt_status(fildes));
+	return _rmt_status(fildes);
 }
diff --git a/librmt/rmtopen.c b/librmt/rmtopen.c
index 1458ade..65a519f 100644
--- a/librmt/rmtopen.c
+++ b/librmt/rmtopen.c
@@ -63,9 +63,9 @@ int oflag;
 int mode;
 {
 	if (strchr(path, ':') != NULL) {
-		return (_rmt_open(path, oflag, mode) | REM_BIAS);
+		return _rmt_open(path, oflag, mode) | REM_BIAS;
 	} else {
-		return (open(path, oflag, mode));
+		return open(path, oflag, mode);
 	}
 }
 
@@ -116,7 +116,7 @@ static int _rmt_open(char *path, int oflag, int mode)
 
 	if (i == MAXUNIT) {
 		setoserror(EMFILE);
-		return (-1);
+		return -1;
 	}
 
 /*
@@ -208,10 +208,10 @@ static int _rmt_open(char *path, int oflag, int mode)
  */
 do_rmt:
 	if (pipe(_rmt_Ptc[i]) == -1 || pipe(_rmt_Ctp[i]) == -1)
-		return (-1);
+		return -1;
 
 	if ((rc = fork()) == -1)
-		return (-1);
+		return -1;
 
 	if (rc == 0) {
 		close(0);
@@ -253,7 +253,7 @@ do_rmt:
 
 	sprintf(buffer, "O%s\n%d\n", device, oflag);
 	if (_rmt_command(i, buffer) == -1 || _rmt_status(i) == -1)
-		return (-1);
+		return -1;
 
-	return (i);
+	return i;
 }
diff --git a/librmt/rmtread.c b/librmt/rmtread.c
index 1004992..6b34c1e 100644
--- a/librmt/rmtread.c
+++ b/librmt/rmtread.c
@@ -39,9 +39,9 @@ char *buf;
 unsigned int nbyte;
 {
 	if (isrmt(fildes)) {
-		return (_rmt_read(fildes - REM_BIAS, buf, nbyte));
+		return _rmt_read(fildes - REM_BIAS, buf, nbyte);
 	} else {
-		return (read(fildes, buf, nbyte));
+		return read(fildes, buf, nbyte);
 	}
 }
 
@@ -57,16 +57,16 @@ _rmt_read(int fildes, char *buf, unsigned int nbyte)
 
 	sprintf(buffer, "R%d\n", nbyte);
 	if (_rmt_command(fildes, buffer) == -1 || (rc = _rmt_status(fildes)) == -1)
-		return (-1);
+		return -1;
 
 	for (i = 0; i < rc; i += nbyte, buf += nbyte) {
 		nbyte = read(READ(fildes), buf, rc);
 		if (nbyte <= 0) {
 			_rmt_abort(fildes);
 			setoserror(EIO);
-			return (-1);
+			return -1;
 		}
 	}
 
-	return (rc);
+	return rc;
 }
diff --git a/librmt/rmtstatus.c b/librmt/rmtstatus.c
index 3691eef..064b646 100644
--- a/librmt/rmtstatus.c
+++ b/librmt/rmtstatus.c
@@ -47,7 +47,7 @@ int fildes;
 		if (read(READ(fildes), cp, 1) != 1) {
 			_rmt_abort(fildes);
 			setoserror(EIO);
-			return (-1);
+			return -1;
 		}
 		if (*cp == '\n') {
 			*cp = 0;
@@ -58,7 +58,7 @@ int fildes;
 	if (i == BUFMAGIC) {
 		_rmt_abort(fildes);
 		setoserror(EIO);
-		return (-1);
+		return -1;
 	}
 
 /*
@@ -78,7 +78,7 @@ int fildes;
 		if (*cp == 'F')
 			_rmt_abort(fildes);
 
-		return (-1);
+		return -1;
 	}
 
 /*
@@ -88,8 +88,8 @@ int fildes;
 	if (*cp != 'A') {
 		_rmt_abort(fildes);
 		setoserror(EIO);
-		return (-1);
+		return -1;
 	}
 
-	return (atoi(cp + 1));
+	return atoi(cp + 1);
 }
diff --git a/librmt/rmtwrite.c b/librmt/rmtwrite.c
index 830be20..86c3c54 100644
--- a/librmt/rmtwrite.c
+++ b/librmt/rmtwrite.c
@@ -39,9 +39,9 @@ char *buf;
 unsigned int nbyte;
 {
 	if (isrmt(fildes)) {
-		return (_rmt_write(fildes - REM_BIAS, buf, nbyte));
+		return _rmt_write(fildes - REM_BIAS, buf, nbyte);
 	} else {
-		return (write(fildes, buf, nbyte));
+		return write(fildes, buf, nbyte);
 	}
 }
 
@@ -56,13 +56,13 @@ _rmt_write(int fildes, char *buf, unsigned int nbyte)
 
 	sprintf(buffer, "W%d\n", nbyte);
 	if (_rmt_command(fildes, buffer) == -1)
-		return (-1);
+		return -1;
 
 	if (write(WRITE(fildes), buf, nbyte) == nbyte) {
-		return (_rmt_status(fildes));
+		return _rmt_status(fildes);
 	}
 
 	_rmt_abort(fildes);
 	setoserror(EIO);
-	return (-1);
+	return -1;
 }